org.apache.cassandra.db.rows

## Class RowIterators

- java.lang.Object
- - org.apache.cassandra.db.rows.RowIterators

    public abstract class RowIterators
    extends java.lang.Object

Static methods to work with row iterators.

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `digest(RowIterator iterator, java.security.MessageDigest digest, java.security.MessageDigest altDigest, java.util.Set<java.nio.ByteBuffer> columnsToExclude)`
`static RowIterator` `loggingIterator(RowIterator iterator, java.lang.String id)` Wraps the provided iterator so it logs the returned rows for debugging purposes.
`static RowIterator` `withOnlyQueriedData(RowIterator iterator, ColumnFilter filter)` Filter the provided iterator to only include cells that are selected by the user.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### digest

    public static void digest(RowIterator iterator,
                              java.security.MessageDigest digest,
                              java.security.MessageDigest altDigest,
                              java.util.Set<java.nio.ByteBuffer> columnsToExclude)

#### withOnlyQueriedData

    public static RowIterator withOnlyQueriedData(RowIterator iterator,
                                                  ColumnFilter filter)

Filter the provided iterator to only include cells that are selected by the user.

Parameters:
  `iterator` - the iterator to filter.
  `filter` - the `ColumnFilter` to use when deciding which cells are queried by the user. This should be the filter that was used when querying `iterator`.
Returns:
  the filtered iterator..

#### loggingIterator

    public static RowIterator loggingIterator(RowIterator iterator,
                                              java.lang.String id)

Wraps the provided iterator so it logs the returned rows for debugging purposes.

Note that this is only meant for debugging as this can log a very large amount of logging at INFO.